/* hcaseb.h */
EXTERN struct t_hcaseb {
	float HRecRad[LIMELM], 
	  HRecEffec[LIMELM], 
	  HRecNet[LIMELM], 
	  HRecCol[LIMELM], 
	  HRecInd[LIMELM], 
	  htotrc[LIMELM];
	}	hcaseb;

/*
 *     HRecRad is sum of radiative rec to all excited states
 *     HRecEffec is total effec eval in hlevel, should be
 *     roughly equal to hrectot
 *     HRecNet is net rec coef, with 3-body rec less coll ioniz
 *     HRecCol is thre-body recombination alone
 *     HRecInd is induced recombination
 *     htotrc is total radiative recombination
 */
