/*MakeRT drive static or wind metal line radiative transfer,
 * if argument is TRUE then do both escape and deEXTERN struction probs,
 * if false only update deEXTERN struction probabilities.  routine only
 * called by cloudy(TRUE) and ionize(FALSE) */
void RTMake(int);

/* in following two the logical variable says whether to do the
 * escape probs too (TRUE) or just the deEXTERN struction probs (FALSE) */

/*RTMakeStat do line radiative transfer for static geometry */
void RTMakeStat(EmLine * t , 
	int lgDoEsc );

/*RTMakeWind do line radiative transfer for wind geometry */
void RTMakeWind(EmLine * t ,
	int lgDoEsc );

/*RTDiffuse fill in DiffCont and ThrowOut arrays, with diffuse emission for this zone */
void RTDiffuse(void);
