/*metprt print he, heavy element optical depths, call prtmet */
#include "cddefines.h"
#include "taulines.h"
#include "he3tau.h"
#include "prtmet.h"
#include "metprt.h"

void metprt(void)
{
	long int n;

#	ifdef DEBUG_FUN
	fputs( "<+>metprt()\n", debug_fp );
#	endif

	fprintf( ioQQQ, " TauInc updated optical depths:\n" );

	fprintf( ioQQQ, "    He trp:" );
	for(n=0; n < NHE3TAU; n++)
	{
		fprintf( ioQQQ, "%10.2e", he3tau[n].TauIn );
	}
	fprintf( ioQQQ, "\n" );

	prtmet();

#	ifdef DEBUG_FUN
	fputs( " <->metprt()\n", debug_fp );
#	endif
	return;
}

