/*vfun approximate form of Voit function */
#include "cddefines.h"
#include "physconst.h"
#include "sexp.h"
#include "vfun.h"
#include "pmpdmp.h"

double vfun(double x)
{
	double vfun_v;

#	ifdef DEBUG_FUN
	fputs( "<+>vfun()\n", debug_fp );
#	endif

	vfun_v = sexp(x*x) + pmpdmp.PumpDamp/SQRTPI/(1. + x*x);

#	ifdef DEBUG_FUN
	fputs( " <->vfun()\n", debug_fp );
#	endif
	return( vfun_v );
}

